Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.docking.state
Interface MinimizationManager

All Known Implementing Classes:
  MinimizationAdapter, MinimizationManager.Stub

    public interface MinimizationManager

Author:
  Christopher Butler

Nested Class Summary
`static class` | `MinimizationManager.Stub`

Field Summary
`static int` | `BOTTOM`
`static int` | `CENTER`
`static MinimizationManager` | `DEFAULT_STUB`
`static int` | `LEFT`
`static int` | `RIGHT`
`static int` | `TOP`
`static int` | `UNSPECIFIED_LAYOUT_CONSTRAINT`

Method Summary
`boolean` | `close(Dockable dockable)`
`void` | `preview(Dockable dockable, boolean locked)`
`void` | `setMinimized(Dockable dockable, boolean minimized, Component window, int constraint)`

Field Detail

### DEFAULT_STUB

    static final MinimizationManager DEFAULT_STUB

### UNSPECIFIED_LAYOUT_CONSTRAINT

    static final int UNSPECIFIED_LAYOUT_CONSTRAINT

See Also:
  Constant Field Values

### TOP

    static final int TOP

See Also:
  Constant Field Values

### LEFT

    static final int LEFT

See Also:
  Constant Field Values

### BOTTOM

    static final int BOTTOM

See Also:
  Constant Field Values

### RIGHT

    static final int RIGHT

See Also:
  Constant Field Values

### CENTER

    static final int CENTER

See Also:
  Constant Field Values

Method Detail

### close

    boolean close(Dockable dockable)

### preview

    void preview(Dockable dockable,
                 boolean locked)

### setMinimized

    void setMinimized(Dockable dockable,
                      boolean minimized,
                      Component window,
                      int constraint)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD